Entity Performance
Request and Response
get
Path parameters
entityIdinteger · int64RequiredExample:
Unique identifier provided by Landytech
123Query parameters
fromDatestring · dateOptionalExample:
Start of Date Range (Inclusive)
2025-05-01toDatestring · dateOptionalExample:
End of Date Range (Inclusive)
2025-05-13lookThroughstringOptionalDefault:
Enable/disable look through
falsepageNumberinteger · int32OptionalDefault:
The current page, the first page should be '0'
0pageSizeinteger · int32 · max: 100OptionalDefault:
Number of records per page
100Responses
200
OK
application/json
totalPagesinteger · int64RequiredExample:
Number of pages
1totalElementsinteger · int64RequiredExample:
Number of elements across all pages
1lastbooleanRequiredExample:
Last page
truesizeinteger · int64RequiredExample:
Number of elements in one page
100firstbooleanRequiredExample:
First page
truenumberinteger · int64RequiredExample:
Current page number
0numberOfElementsinteger · int64RequiredExample:
Number of elements in the page
1emptybooleanRequiredExample:
Empty
falseget/api/v1/entityperformance/{entityId}
GET /api/v1/entityperformance/{entityId} HTTP/1.1
Host: data.api.landytech.net
Accept: */*
200
OK
{
"content": [
{
"entityId": 36403,
"entityName": "HSBC (7095754)",
"date": "2025-05-13",
"entityBaseCurrency": "GBP",
"return1Month": 0.014932,
"return3Months": 0.077934,
"return6Months": 0.105256,
"return12Months": 0.145604,
"mtd": 0.005345,
"qtd": 0.020277,
"ytd": 0.020277,
"fytd": 0.135429,
"itd": 0.864921,
"monthToDate": 53654.03,
"quarterToDate": 200205.6,
"yearToDate": 200205.6,
"total": 7649087
}
],
"totalPages": 1,
"totalElements": 1,
"last": true,
"size": 100,
"first": true,
"number": 0,
"numberOfElements": 1,
"empty": false
}Last updated
Was this helpful?